API and developers

Create option value

post/v1/products/{product_id}/options/{option_id}/values

Create a new value for an existing product option.

Example

curl -X POST "https://api.ya.onl/v1/products/{product_id}/options/{option_id}/values" \
  -H "X-API-Key: yv_live_v1_…" \
  -H "Content-Type: application/json" \
  -d '{"name":"…"}'

Parameters

product_idintegerpathrequired

Product identifier

option_idintegerpathrequired

Option identifier

Request body

namestringrequired

Option value label

Responses

201
Successful Response
401
Invalid or missing API key
403
API key lacks the products:write scope
404
Option not found
422
Validation Error
429
Rate limit exceeded
Need help?